Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Class BookDefinition

    java.lang.Object
      com.bea.netuix.application.definition.BookDefinition

All Implemented Interfaces
  DateableDefinition, NavigableDefinition, PlaceableDefinition, ProxiedDefinition, Serializable

    public class BookDefinition

extends Object
implements NavigableDefinition, PlaceableDefinition, DateableDefinition, ProxiedDefinition, Serializable

This class represents a persistent book.

See Also
  Serialized Form

Field Summary
`protected BookInstance` | `bookInstance`

Fields inherited from interface com.bea.netuix.application.definition.ProxiedDefinition
`HAS_PROXY_INFO, NO_PROXY_INFO, NOT_AVAILABLE`

Constructor Summary
`protected` | `BookDefinition(LocalizationResource localizationResource, MarkupDefinitionId markupDefinitionId, String definitionLabel, boolean hidden, boolean _public, String webAppName, BookInstance bookInstance)` Constructor that takes a `BookInstance`
`` | `BookDefinition(LocalizationResource localizationResource, MarkupDefinitionId markupDefinitionId, String definitionLabel, boolean hidden, boolean _public, String webAppName, MenuDefinitionId menuDefinitionId, ThemeDefinitionId themeDefinitionId, short menuOrientation)` Constructs a new `BookDefinition` object.

Method Summary
`BookDefinitionId` | `getBookDefinitionId()` Returns the `BookDefinitionId` for this book.
`Date` | `getCreatedDate()` Gets the time that this object was created in the database.
`String` | `getDefinitionLabel()` Returns the definitionLabel associated with this book.
`String` | `getDescription()` Retrieves this book's localized description from its `LocalizationResource`.
`LocalizationIntersectionId` | `getLocalizationIntersectionId()` Returns the `LocalizationIntersectionId` for this book.
`LocalizationResource` | `getLocalizationResource()` Returns the `LocalizationResource` associated with this `BookDefinition` based on the locale of the request used for retrieving the `BookDefinition`.
`MarkupDefinitionId` | `getMarkupDefinitionId()` Returns the `MarkupDefinitionId` for the `MarkupDefinition` associated with this book.
`MenuDefinitionId` | `getMenuDefinitionId()` Returns `MenuDefinitionId` for menu associated with this `BookDefinition`
`short` | `getMenuOrientation()` Returns the menu orientation for this `BookDefinition`
`Date` | `getModifiedDate()` Gets the time that this object was last updated in the database.
`NavigableDefinitionId` | `getNavigableDefinitionId()` Returns the `NavigableDefinitionId` associated with this book.
`PlaceableDefinitionId` | `getPlaceableDefinitionId()` Returns the `PlaceableDefinitionId` associated with this book.
`PlacementId` | `getPlacementId()` Returns the `PlacementId` for this book.
`BookInstanceId` | `getPrimaryInstanceId()` Returns the `BookInstanceId` for the primary book instance associated with this book.
`String` | `getProviderName()` Returns the name of the provider that provided the source entity that this proxied definition is created from
`Id` | `getProxiedDefinitionId()` Returns the `Id` of this proxied definition.
`ThemeDefinitionId` | `getThemeDefinitionId()` Returns the `ThemeDefinitionId` of theme associated with this `BookDefinition`.
`String` | `getTitle()` Retrieves this book's localized title from its `LocalizationResource`.
`String` | `getWebAppName()` Returns the name of the J2EE web application this book is scoped to.
`byte` | `hasProxyInfo()` Returns one of `NOT_AVAILABLE`, `HAS_PROXY_INFO` or `NO_PROXY_INFO`.
`boolean` | `isHidden()` Returns true if this book is configured to not be rendered.
`boolean` | `isPublic()` Returns whether this book is end-user created.
`void` | `setDefinitionLabel(String definitionLabel)` Sets the definitionLabel for this book.
`void` | `setHidden(boolean hidden)` Sets whether or not this book renders.
`void` | `setLocalizationResource(LocalizationResource localizationResource)` Sets the `LocalizationResource` for this book.
`void` | `setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)` Sets the `MarkupDefinitionId` for this book.
`void` | `setMenuDefinitionId(MenuDefinitionId menuDefinitionId)` Associates a menu with this book.
`void` | `setMenuOrientation(short menuOrientation)` Sets the menu orientation for this book
`void` | `setPublic(boolean _public)` Sets whether this book is end-user created.
`void` | `setThemeDefinitionId(ThemeDefinitionId themeDefinitionId)` Associates a theme with this book.
`void` | `setWebAppName(String webAppName)` Scopes this book to specified J2EE web application
`String` | `toString()` Returns a concatenated string representation of BookDefinitionId(int) Title Description MarkupDefinitionId(int) Definition Label isHidden(true or false) isPublic(true or false) Web app name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### bookInstance

    protected BookInstance bookInstance

Constructor Detail

### BookDefinition

    public BookDefinition(LocalizationResource localizationResource,
                          MarkupDefinitionId markupDefinitionId,
                          String definitionLabel,
                          boolean hidden,
                          boolean _public,
                          String webAppName,
                          MenuDefinitionId menuDefinitionId,
                          ThemeDefinitionId themeDefinitionId,
                          short menuOrientation)

  Constructs a new `BookDefinition` object.

  Parameters
    `localizationResource` - localized title and description
    `markupDefinitionId` - reference to a persisted `MarkupDefinition` that specifies the markup for this book
    `definitionLabel` - uniquely identifies this book in non-persistent mode
    `hidden` - this book is not rendered if this attribute is true
    `_public` - specifies that this book is created by an end user if set to true
    `webAppName` - name of the J2EE web application that this book is scoped to
    `menuDefinitionId` - reference to a persisted `MenuDefinition` that is the menu for this book
    `themeDefinitionId` - reference to a persisted `ThemeDefinition` that is the theme for this book
    `menuOrientation` - orientation of the menu as defined by
    - `BookView.ORIENTATION_LEFT`
    - `BookView.ORIENTATION_RIGHT`
    - `BookView.ORIENTATION_TOP`
    - `BookView.ORIENTATION_BOTTOM`

### BookDefinition

    protected BookDefinition(LocalizationResource localizationResource,
                             MarkupDefinitionId markupDefinitionId,
                             String definitionLabel,
                             boolean hidden,
                             boolean _public,
                             String webAppName,
                             BookInstance bookInstance)

  Constructor that takes a `BookInstance`

  Parameters
    `localizationResource` - localized title and description
    `markupDefinitionId` - a reference to persisted `MarkupDefinition` that specifies the markup for this book
    `definitionLabel` - uniquely identifies this book in non-persistent mode
    `hidden` - this book is not rendered if this attribute is true
    `_public` - specifies that this book is created by an end user if set to true
    `webAppName` - name of the J2EE web application that this book is scoped to
    `bookInstance` -

Method Detail

### getNavigableDefinitionId

    public NavigableDefinitionId getNavigableDefinitionId()

  Returns the `NavigableDefinitionId` associated with this book. Returns null when the BookDefinition has not been retrieved by using the persistence API.

  Specified by:
    `getNavigableDefinitionId` in interface `NavigableDefinition`
  Returns
    `NaviagableDefinitionId` associated with this book
  See Also
    `NavigableDefinition`

### getPlaceableDefinitionId

    public PlaceableDefinitionId getPlaceableDefinitionId()

  Returns the `PlaceableDefinitionId` associated with this book. Returns null when the BookDefinition has not been retrieved by using the persistence API.

  Specified by:
    `getPlaceableDefinitionId` in interface `PlaceableDefinition`
  Returns
    `PlaceableDefinitionId` associated with this book
  See Also
    `PlaceableDefinition`

### getBookDefinitionId

    public BookDefinitionId getBookDefinitionId()

  Returns the `BookDefinitionId` for this book. Returns null when the BookDefinition has not been retrieved by using the persistence API.

  Returns
    `BookDefinitionId` for this book

### getMarkupDefinitionId

    public MarkupDefinitionId getMarkupDefinitionId()

  Returns the `MarkupDefinitionId` for the `MarkupDefinition` associated with this book.

  Returns
    `MarkupDefinitionId`
  See Also
    `MarkupDefinition`

### getPlacementId

    public PlacementId getPlacementId()

  Returns the `PlacementId` for this book. May be null if this book is not placed or if it has not been retrieved using the persistence API.

  Returns
    `PlacementId` for this book

### getLocalizationIntersectionId

    public LocalizationIntersectionId getLocalizationIntersectionId()

  Returns the `LocalizationIntersectionId` for this book. Returns null if no LocalizationResource is associated with this book. A `LocalizationIntersectionId` is a reference to all localized versions of title and description for an entity.

  Returns
    `LocalizationIntersectionId` for this book

### setMarkupDefinitionId

    public void setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)

  Sets the `MarkupDefinitionId` for this book.

  Parameters
    `markupDefinitionId` -

### getLocalizationResource

    public LocalizationResource getLocalizationResource()

  Returns the `LocalizationResource` associated with this `BookDefinition` based on the locale of the request used for retrieving the `BookDefinition`.

  Specified by:
    `getLocalizationResource` in interface `NavigableDefinition`
  Specified by:
    `getLocalizationResource` in interface `PlaceableDefinition`
  Returns
    `LocalizationResource` associated with this book

### setLocalizationResource

    public void setLocalizationResource(LocalizationResource localizationResource)

  Sets the `LocalizationResource` for this book.

  Parameters
    `localizationResource` -

### getDefinitionLabel

    public String getDefinitionLabel()

  Returns the definitionLabel associated with this book.

  Specified by:
    `getDefinitionLabel` in interface `NavigableDefinition`
  Specified by:
    `getDefinitionLabel` in interface `PlaceableDefinition`
  Returns
    definitionLabel for this book

### setDefinitionLabel

    public void setDefinitionLabel(String definitionLabel)

  Sets the definitionLabel for this book.

  Parameters
    `definitionLabel` -

### isHidden

    public boolean isHidden()

  Returns true if this book is configured to not be rendered.

  Specified by:
    `isHidden` in interface `NavigableDefinition`
  Returns
    true if `BookDefinition` is hidden

### setHidden

    public void setHidden(boolean hidden)

  Sets whether or not this book renders.

  Parameters
    `hidden` - configures this book to not render if set to true

### isPublic

    public boolean isPublic()

  Returns whether this book is end-user created.

  Returns
    true if this book is end-user created.

### setPublic

    public void setPublic(boolean _public)

  Sets whether this book is end-user created.

  Parameters
    `_public` -

### getWebAppName

    public String getWebAppName()

  Returns the name of the J2EE web application this book is scoped to.

  Specified by:
    `getWebAppName` in interface `NavigableDefinition`
  Specified by:
    `getWebAppName` in interface `PlaceableDefinition`
  Returns
    name of web application

### setWebAppName

    public void setWebAppName(String webAppName)

  Scopes this book to specified J2EE web application

  Parameters
    `webAppName` - name of the web application to scope this book to

### getMenuOrientation

    public short getMenuOrientation()

  Returns the menu orientation for this `BookDefinition`

  Returns
    menu orientation

### setMenuOrientation

    public void setMenuOrientation(short menuOrientation)

  Sets the menu orientation for this book

  Parameters
    `menuOrientation` -

### getMenuDefinitionId

    public MenuDefinitionId getMenuDefinitionId()

  Returns `MenuDefinitionId` for menu associated with this `BookDefinition`

  Returns
    `MenuDefinitionId`

### setMenuDefinitionId

    public void setMenuDefinitionId(MenuDefinitionId menuDefinitionId)

  Associates a menu with this book.

  Parameters
    `menuDefinitionId` - of menu associated with this book

### getThemeDefinitionId

    public ThemeDefinitionId getThemeDefinitionId()

  Returns the `ThemeDefinitionId` of theme associated with this `BookDefinition`.

  Returns
    `ThemeDefinitionId`

### setThemeDefinitionId

    public void setThemeDefinitionId(ThemeDefinitionId themeDefinitionId)

  Associates a theme with this book.

  Parameters
    `themeDefinitionId` - of theme associated with this book

### getPrimaryInstanceId

    public BookInstanceId getPrimaryInstanceId()

  Returns the `BookInstanceId` for the primary book instance associated with this book.

  Returns
    BookInstanceId

### getTitle

    public String getTitle()

  Retrieves this book's localized title from its `LocalizationResource`.

  Specified by:
    `getTitle` in interface `NavigableDefinition`
  Specified by:
    `getTitle` in interface `PlaceableDefinition`
  Returns
    localized title for this book

### getDescription

    public String getDescription()

  Retrieves this book's localized description from its `LocalizationResource`.

  Specified by:
    `getDescription` in interface `NavigableDefinition`
  Specified by:
    `getDescription` in interface `PlaceableDefinition`
  Returns
    localized description for this book

### getCreatedDate

    public Date getCreatedDate()

  Gets the time that this object was created in the database.

  Specified by:
    `getCreatedDate` in interface `DateableDefinition`

### getModifiedDate

    public Date getModifiedDate()

  Gets the time that this object was last updated in the database. This value only applies to this immediate object and not its children.

  Specified by:
    `getModifiedDate` in interface `DateableDefinition`

### getProviderName

    public String getProviderName()

  Description copied from interface: `ProxiedDefinition`
  Returns the name of the provider that provided the source entity that this proxied definition is created from

  Specified by:
    `getProviderName` in interface `ProxiedDefinition`
  Returns
    provider name

### hasProxyInfo

    public byte hasProxyInfo()

  Description copied from interface: `ProxiedDefinition`
  Returns one of `NOT_AVAILABLE`, `HAS_PROXY_INFO` or `NO_PROXY_INFO`.

  Specified by:
    `hasProxyInfo` in interface `ProxiedDefinition`
  Returns
    whether proxy information is attached to this definition

### getProxiedDefinitionId

    public Id getProxiedDefinitionId()

  Description copied from interface: `ProxiedDefinition`
  Returns the `Id` of this proxied definition. Returns `NULL` if this entity is not a proxied definition

  Specified by:
    `getProxiedDefinitionId` in interface `ProxiedDefinition`
  Returns
    proxied definition `Id`

### toString

    public String toString()

  Returns a concatenated string representation of
  - BookDefinitionId(int)
  - Title
  - Description
  - MarkupDefinitionId(int)
  - Definition Label
  - isHidden(true or false)
  - isPublic(true or false)
  - Web app name

  Overrides:
    `toString` in class `Object`
  Returns
    a `String` representation of this `BookDefinition`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.